package com.google.android.bindingtest.impl;

import android.databinding.DataBindingUtil;
import android.widget.TextView;
import android.app.Activity;
import android.os.Bundle;

import com.google.android.bindingtest.impl.databinding.ActivityMainDatabindingBinding;

public class MainActivity extends Activity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    SimpleComponent component = DaggerSimpleComponent.builder().build();
    StringProvider provider = component.getStringProvider();

    ActivityMainDatabindingBinding binding = DataBindingUtil.setContentView(this, R.layout.activity_main_databinding);
    binding.setMyTextViewValue(provider.getString());
    binding.setTextViewTemp("warm");
  }
}
