package com.google.android.bindingtest.impl.adapters;

import android.graphics.Color;
import android.databinding.BindingAdapter;
import android.widget.TextView;

public class BindingAdapters {
    @BindingAdapter("temperature")
    public static void bindTemperature(TextView textView, String temperature) {
        switch (temperature) {
            case "cool": textView.setTextColor(Color.parseColor("#0000ff")); break;
            case "warm": textView.setTextColor(Color.parseColor("#ff0000")); break;
        }
    }
}
